Loading...
Searching...
No Matches
OBFFCalculation2 Class Reference

`#include <openbabel/forcefield.h>`

Inheritance diagram for OBFFCalculation2:
[legend]

## Public Member Functions

virtual | ~OBFFCalculation2 ()
virtual void | SetupPointers ()

## Public Attributes

double | energy
OBAtom * | a
OBAtom * | b
int | idx_a
int | idx_b
double * | pos_a
double * | pos_b
double | force_a [3]
double | force_b [3]

## Detailed Description

Internal class for OBForceField to hold energy and gradient calculations on specific force fields.

## Constructor & Destructor Documentation

## ~OBFFCalculation2()

virtual ~OBFFCalculation2 | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## SetupPointers()

virtual void SetupPointers | ( |  | ) |

inline virtual

Returns
  Setup pointers to atom positions and forces (To be called while setting up calculations). Sets optimized to true.

Reimplemented in OBFFCalculation3, and OBFFCalculation4.

## Member Data Documentation

## energy

double energy

Used to store the energy for this OBFFCalculation.

## a

OBAtom* a

Used to store the atoms for this OBFFCalculation.

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## b

OBAtom * b

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## idx_a

int idx_a

Used to store the index of atoms for this OBFFCalculation.

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## idx_b

int idx_b

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## pos_a

double* pos_a

Pointer to atom coordinates as double[3].

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## pos_b

double * pos_b

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## force_a

double force_a[3]

Pointer to atom forces.

## force_b

double force_b[3]

The documentation for this class was generated from the following file:

- forcefield.h